--[[
LuCI - Lua Configuration Interface for DLMS
]]--
local uci = require "luci.model.uci"

module("luci.controller.dlms", package.seeall)

function index()
    local dlms_master = nixio.fs.access("/usr/bin/dlms-master")
    local dlms_to_ftp = nixio.fs.access("/usr/bin/dlms-to-ftp")
    local dlms_to_mqtt = nixio.fs.access("/usr/bin/dlms-to-mqtt")

    if dlms_master then
        entry({"admin", "services", "dlms"},  firstchild(), _("DLMS"), 95)
        entry({"admin", "services", "dlms", "dlms_master"}, cbi("dlms/dlms_master"), _("DLMS Master"), 30).leaf = true
    end
    if dlms_to_mqtt then
        entry({"admin", "services", "dlms", "dlms_to_mqtt"},  cbi("dlms/dlms_to_mqtt"),  _("DLMS to MQTT"), 40).leaf = true
    end


end
